Get Payment Status
Get the status of a payment session based on the payment session id.
Request Notes
To get the status of a Payment Session object, call the detail view with the ID of the
payment session returned by the create_payment_session endpoint.
Response Notes
status- the status of the initial payment, an enum with one of the following values:captured- payment has completedcanceled- payment was canceled before the user entered payment information via a call to our cancel API.pending- payment has not been successfully completed yet.processing- the customer has entered their payment information, but it is under review by Truemed- Any customer facing communication should indicate successful payment at this point,
such as on the
success_url. - The merchant should not fulfill the order until the Payment Session Webhook indicates that the payment has been captured.
- Any customer facing communication should indicate successful payment at this point,
such as on the
rejected- While in theprocessingstate, Truemed reviewed and rejected the payment session.- The merchant should not fulfill these orders, and should communicate failure to the user via email.
authorized- an auth hold has been placed on the customer’s card.authorization_voided- the auth hold has been voided via a call to our Void Session api.authorization_expired- the auth hold has expired and we were not able to re-auth the transaction. This state is only possible after a call to our Manual Capture api, and is only set after we attempt a re-auth hold on the existing payment method.
status_summary- a summary of the overall payment session. This includes refunds and disputes, and is an enum of the following values:Incomplete- Customer started checkout but did not completeAuthorized- Auth hold placed on customer’s payment methodCaptured- Payment has been processedPartially Captured- The payment has been partially processedRefunded- The full amount charged in this order has been refunded to customerPartially Refunded- Part of the original order has been refunded to the customerDisputed- The transaction has been disputed by the customerVoided- The payment was voided by the partnerExpired- The partner did not capture an authorized session before it expired
order_items- a list of order items, with the following fields per item:item_id- The item_id that uniquely identifies this item. If the client specified one when creating the Payment Session, that item_id will be returned.name- the name of the itemprice- the unit price in cents charged for the itemquantity- the number of this item in the cartsku- the partner’s SKU for the itemtotal_refundable(Optional) - If the Payment Session has been captured, this value will be the remaining amount refundable for this item. Otherwise it will not be included.quantity_refundable(Optional) - If the Payment Session has been captured, this value will be the remaining quantity refundable for this item. Otherwise it will not be included.total_capturable(Optional) - If the Payment Session is an authorization and is currently authorized, this value will be the remaining amount capturable for this item. Otherwise it will not be included.quantity_capturable(Optional) - If the Payment Session is an authorization and is currently authorized, this value will be the remaining quantity capturable for this item. Otherwise it will not be included.
capture_amount(Optional) - the amount of funds actually captured.- For payment sessions of
kind=one_time_paymentthis field will always be present and will be the same asauthorize_amount. - For payment sessions of
kind=authorizationthis field will not be present until the funds have been captured (via a call to Manual Capture).
- For payment sessions of
capture_failed_on(Optional) - the time the capture permanently failed. Present only for the rare session whose capture could not be completed; null otherwise.capture_failed_details(Optional) - a generic message indicating the capture could not be completed. Null whencapture_failed_onis null.capture_failed_amount_collected(Optional) - funds already collected on a partially-charged split payment before the capture failed; null otherwise.
Authentication
Sales channel API key for merchant server-to-server authentication
Path parameters
Response
The completed captures for this payment session, each addressable by id when issuing a refund (capture_id). Empty until the session has at least one completed capture.
The amount of funds already collected on a capture that permanently failed. Set when part of a split payment succeeded before the capture failed; null otherwise.
A generic message indicating the capture could not be completed. Null when capture_failed_on is null.
Optional field echoed back if present in the call to create_payment_session.